diff --git a/src/dwb.c b/src/dwb.c
index 2a73158..a044555 100644
--- a/src/dwb.c
+++ b/src/dwb.c
@@ -959,7 +959,7 @@ dwb_update_status_text(GList *gl, GtkAdjustment *a)
     const char *bof = back && forward ? " [-+]" : back ? " [-]" : forward  ? " [+]" : " ";
     g_string_append(string, bof);
 
-    g_string_append_printf(string, "[%d/%d]", g_list_position(dwb.state.views, dwb.state.fview) + 1, g_list_length(dwb.state.views));
+    g_string_append_printf(string, "[%d/%d] ", g_list_position(dwb.state.views, dwb.state.fview) + 1, g_list_length(dwb.state.views));
 
     if (a) 
     {
@@ -968,13 +968,13 @@ dwb_update_status_text(GList *gl, GtkAdjustment *a)
         double value = gtk_adjustment_get_value(a); 
         char position[7];
         if (upper == lower) 
-            strcpy(position, "[all]");
+            strcpy(position, "All");
         else if (value == lower)
-            strcpy(position, "[top]");
+            strcpy(position, "Top");
         else if (value == upper) 
-            strcpy(position, "[bot]");
+            strcpy(position, "Bot");
         else 
-            snprintf(position, sizeof(position), "[%02d%%]", (int)(value * 100/upper + 0.5));
+            snprintf(position, sizeof(position), "%2d%%", (int)(value * 100/upper + 0.5));
         g_string_append(string, position);
     }
     if (v->status->scripts & SCRIPTS_BLOCKED) 
@@ -1000,40 +1000,40 @@ dwb_update_status_text(GList *gl, GtkAdjustment *a)
             g_string_append_c(string, 'u');
         g_string_append(string, "</span>]");
     }
-    if (webkit_web_view_get_load_status(WEBVIEW(gl)) == WEBKIT_LOAD_FINISHED) 
-    {
-        const char *uri = webkit_web_view_get_uri(WEBVIEW(gl));
-        gboolean has_quickmark = g_list_find_custom(dwb.fc.quickmarks, uri, (GCompareFunc)util_quickmark_compare_uri) != NULL;
-        gboolean has_bookmark = g_list_find_custom(dwb.fc.bookmarks, uri, (GCompareFunc)util_navigation_compare_uri) != NULL;
-        if (has_quickmark || has_bookmark) 
-        {
-            g_string_append_c(string, '[');
-            if (has_quickmark) 
-                g_string_append_c(string, 'Q');
-            if (has_bookmark) 
-                g_string_append_c(string, 'B');
-            g_string_append_c(string, ']');
-        }
-    }
+    // if (webkit_web_view_get_load_status(WEBVIEW(gl)) == WEBKIT_LOAD_FINISHED) 
+    // {
+    //     const char *uri = webkit_web_view_get_uri(WEBVIEW(gl));
+    //     gboolean has_quickmark = g_list_find_custom(dwb.fc.quickmarks, uri, (GCompareFunc)util_quickmark_compare_uri) != NULL;
+    //     gboolean has_bookmark = g_list_find_custom(dwb.fc.bookmarks, uri, (GCompareFunc)util_navigation_compare_uri) != NULL;
+    //     if (has_quickmark || has_bookmark) 
+    //     {
+    //         g_string_append_c(string, '[');
+    //         if (has_quickmark) 
+    //             g_string_append_c(string, 'Q');
+    //         if (has_bookmark) 
+    //             g_string_append_c(string, 'B');
+    //         g_string_append_c(string, ']');
+    //     }
+    // }
     if (v->status->progress != 0) 
     {
-        wchar_t *bar_blocks = PROGRESS_DEFAULT;
-        wchar_t buffer[PBAR_LENGTH + 1] = { 0 };
-        wchar_t cbuffer[PBAR_LENGTH] = { 0 };
-        int length = PBAR_LENGTH * v->status->progress / 100;
-
-        if (dwb.misc.progress_bar_style == PROGRESS_BAR_SIMPLE)
-            bar_blocks = PROGRESS_SIMPLE;
-
-        wmemset(buffer, bar_blocks[1], length - 1);
-
-        if (dwb.misc.progress_bar_style == PROGRESS_BAR_DEFAULT)
-            buffer[length] = bar_blocks[3] - (int)((v->status->progress % 10) / 10.0*8);
-
-        wmemset(cbuffer, bar_blocks[2], PBAR_LENGTH-length-1);
-        cbuffer[PBAR_LENGTH - length] = '\0';
-
-        g_string_append_printf(string, "%lc<span foreground='%s'>%ls</span><span foreground='%s'>%ls</span>%lc", bar_blocks[0], dwb.color.progress_full, buffer, dwb.color.progress_empty, cbuffer, bar_blocks[3]);
+        // wchar_t *bar_blocks = PROGRESS_DEFAULT;
+        // wchar_t buffer[PBAR_LENGTH + 1] = { 0 };
+        // wchar_t cbuffer[PBAR_LENGTH] = { 0 };
+        // int length = PBAR_LENGTH * v->status->progress / 100;
+        //
+        // if (dwb.misc.progress_bar_style == PROGRESS_BAR_SIMPLE)
+        //     bar_blocks = PROGRESS_SIMPLE;
+        //
+        // wmemset(buffer, bar_blocks[1], length - 1);
+        //
+        // if (dwb.misc.progress_bar_style == PROGRESS_BAR_DEFAULT)
+        //     buffer[length] = bar_blocks[3] - (int)((v->status->progress % 10) / 10.0*8);
+        //
+        // wmemset(cbuffer, bar_blocks[2], PBAR_LENGTH-length-1);
+        // cbuffer[PBAR_LENGTH - length] = '\0';
+        //
+        // g_string_append_printf(string, "%lc<span foreground='%s'>%ls</span><span foreground='%s'>%ls</span>%lc", bar_blocks[0], dwb.color.progress_full, buffer, dwb.color.progress_empty, cbuffer, bar_blocks[3]);
     }
     if (string->len > 0) 
         dwb_set_status_bar_text(dwb.gui.rstatus, string->str, NULL, NULL, true);
@@ -4752,7 +4752,7 @@ dwb_init_gui()
 
     gtk_entry_set_has_frame(GTK_ENTRY(dwb.gui.entry), false);
 #if ! _HAS_GTK3
-    gtk_entry_set_inner_border(GTK_ENTRY(dwb.gui.entry), false);
+    gtk_entry_set_inner_border(GTK_ENTRY(dwb.gui.entry), NULL);
 #endif
 
 #if _HAS_GTK3 
diff --git a/src/view.c b/src/view.c
index 433aa91..2113e1d 100644
--- a/src/view.c
+++ b/src/view.c
@@ -1454,7 +1454,7 @@ view_tab_button_press_cb(GtkWidget *tabevent, GdkEventButton *e, GList *gl)
         dwb_focus_view(gl, "tab_button_press");
         return true;
     }
-    else if (e->button == 3 && e->type == GDK_BUTTON_PRESS) 
+    else if (e->button == 2 && e->type == GDK_BUTTON_PRESS) 
     {
         view_remove(gl);
         return true;
